Get All Campaign Items

Get a list of items for the specified campaign.

Rate limit: Tier 2
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Unified endpoint

This endpoint returns both static ads (aka items) and motion ads with their respective fields.

A sample response (showing static ads):

{
   "results": [
      {
         "id": "1",
         "campaign_id": "1234",
         "type": "ITEM",
         "url": "https://www.example.com/news/demo_article_1.html",
         "thumbnail_url": "http://cdn.example.com/demo_image_1.jpg",
         "title": "Demo Article 1",
         "approval_state": "PENDING",
         "is_active": true,
         "status": "PENDING_APPROVAL"
      },
      {
         "id": "2",
         "campaign_id": "1234",
         "type": "ITEM",
         "url": "https://www.example.com/news/demo_article_2.html",
         "thumbnail_url": "http://cdn.example.com/demo_image_2.jpg",
         "title": "Demo Article 2",
         "approval_state": "PENDING",
         "is_active": true,
         "status": "PENDING_APPROVAL"
      },
      {
         "id": "3",
         "campaign_id": "1234",
         "type": "ITEM",
         "url": "https://www.example.com/news/demo_article_3.html",
         "thumbnail_url": "http://cdn.example.com/demo_image_3.jpg",
         "title": "Demo Article 3",
         "approval_state": "PENDING",
         "is_active": true,
         "status": "PENDING_APPROVAL"
      }
   ]
}
{
    "http_status": 404,
    "message": "Resource not found"
}
📘

Response Body

The response body is a valid, JSON object, with a results property that contains the list of campaign items.

📘

Item scheduling

If an item has a custom schedule, the response includes start_date, end_date, and activity_schedule. See Item scheduling.

Rate limit

🚧

Rate limit

Tier 2. Shares one budget with the other campaign item read requests, including single-item and child-item reads. Write requests on campaign items draw on a separate budget.

See Rate limits for the request allowance each tier carries.

Path Params
string
required

An alphabetic ID. See Get Account Details.

string
required

A numeric ID.

Language
Credentials
OAuth2
LoadingLoading…